KColorCells Class Reference

`#include <kcolordialog.h>`

Inherits QGridView.

## Signals

void | colorSelected (int col)
void | colorDoubleClicked (int col)

## Public Member Functions

| KColorCells (QWidget *parent, int rows, int cols)
void | setColor (int colNum, const QColor &col)
QColor | color (int indx) const
int | numCells () const
void | setShading (bool _shade)
void | setAcceptDrags (bool _acceptDrags)
int | getSelected () const

## Protected Member Functions

virtual void | paintCell (QPainter *painter, int row, int col)
virtual void | resizeEvent (QResizeEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
int | posToCell (const QPoint &pos, bool ignoreBorders=false)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QColor * | colors
bool | inMouse
QPoint | mPos
int | selected
bool | shade
bool | acceptDrags

## Detailed Description

A table of editable color cells.

Author
  Martin Jones mjone.nosp@m.s@kd.nosp@m.e.org

Definition at line 253 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys